org.apache.cassandra.auth

## Class PermissionsCache

- java.lang.Object
- - org.apache.cassandra.auth.AuthCache<Pair<AuthenticatedUser,IResource>,java.util.Set<Permission>>
  - - org.apache.cassandra.auth.PermissionsCache

All Implemented Interfaces:
  AuthCacheMBean, PermissionsCacheMBean

    public class PermissionsCache
    extends AuthCache<Pair<AuthenticatedUser,IResource>,java.util.Set<Permission>>
    implements PermissionsCacheMBean

### Constructor Summary

Constructors
Constructor and Description
`PermissionsCache(IAuthorizer authorizer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Set<Permission>` `getPermissions(AuthenticatedUser user, IResource resource)`

### Methods inherited from class org.apache.cassandra.auth.AuthCache

`get, getMaxEntries, getObjectName, getUpdateInterval, getValidity, init, invalidate, invalidate, setMaxEntries, setUpdateInterval, setValidity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.auth.AuthCacheMBean

`getMaxEntries, getUpdateInterval, getValidity, invalidate, setMaxEntries, setUpdateInterval, setValidity`

### Constructor Detail

#### PermissionsCache

    public PermissionsCache(IAuthorizer authorizer)

### Method Detail

#### getPermissions

    public java.util.Set<Permission> getPermissions(AuthenticatedUser user,
                                                    IResource resource)